<?php

namespace Intergo\HlrClient;

use Intergo\BaseClient\Responses\BaseResponseInterface;

class HlrService
{
    /** @var string */
    public $baseUrl;

    /** @var HlrClient */
    private $client;

    /** @var string */
    private $secret;

    /** @var string */
    protected $site;

    /** @var string */
    protected $traceId;

    /**
     * HlrService constructor.
     */
    public function __construct($site, $baseUrl, $secret, $traceId)
    {
        $this->baseUrl = $baseUrl;
        $this->client = new HlrClient();
        $this->secret = $secret;
        $this->site = $site;
        $this->traceId = $traceId;
    }

    /**
     * @param string $endpoint
     * @param array $params
     * @return BaseResponseInterface
     */
    private function execute(string $endpoint, array $params): BaseResponseInterface
    {
        return $this->client->execute($endpoint, $this->baseUrl, $params, $this->traceId);
    }


}
